org.springframework.data.relational.core.dialect

## Class SqlServerDialect

- java.lang.Object
- - org.springframework.data.relational.core.dialect.AbstractDialect
  - - org.springframework.data.relational.core.dialect.SqlServerDialect

All Implemented Interfaces:
  Dialect

    public class SqlServerDialect
    extends AbstractDialect

An SQL dialect for Microsoft SQL Server.

Since:
  1.1
Author:
  Mark Paluch, Myeonghyeon Lee

### Field Summary

Fields
`static SqlServerDialect` `INSTANCE` Singleton instance.

### Constructor Summary

Constructors
`protected` `SqlServerDialect()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Escaper` `getLikeEscaper()` Returns the `Escaper` used for `LIKE` value escaping.
`SelectRenderContext` `getSelectContext()` Obtain the `SelectRenderContext`.
`LimitClause` `limit()` Return the `LimitClause` used by this dialect.
`LockClause` `lock()` Return the `LockClause` used by this dialect.

### Methods inherited from class org.springframework.data.relational.core.dialect.AbstractDialect

`getAfterFromTable, getAfterOrderBy`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.data.relational.core.dialect.Dialect

`getArraySupport, getIdentifierProcessing, getIdGeneration`

### Field Detail

#### INSTANCE

    public static final SqlServerDialect INSTANCE

Singleton instance.

### Constructor Detail

#### SqlServerDialect

    protected SqlServerDialect()

### Method Detail

#### limit

    public LimitClause limit()

Description copied from interface: `Dialect`
Return the `LimitClause` used by this dialect.

Returns:
  the `LimitClause` used by this dialect.

#### lock

    public LockClause lock()

Description copied from interface: `Dialect`
Return the `LockClause` used by this dialect.

Returns:
  the `LockClause` used by this dialect.

#### getLikeEscaper

    public Escaper getLikeEscaper()

Description copied from interface: `Dialect`
Returns the `Escaper` used for `LIKE` value escaping.

Returns:
  the `Escaper` used for `LIKE` value escaping.

#### getSelectContext

    public SelectRenderContext getSelectContext()

Description copied from interface: `Dialect`
Obtain the `SelectRenderContext`.

Specified by:
  `getSelectContext` in interface `Dialect`
Overrides:
  `getSelectContext` in class `AbstractDialect`
Returns:
  the `SelectRenderContext`.